import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/disablerecord/` + url, ...arg)

/**
 * 清除记录Api接口管理器
 *
 * @author fanzherong
 * @date  2025/02/14 11:33
 **/
export default {
	// 获取清除记录分页
	bizDisableRecordPage(data) {
		return request('page', data, 'get')
	},
	// 提交清除记录表单 edit为true时为编辑，默认为新增
	bizDisableRecordSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除清除记录
	bizDisableRecordDelete(data) {
		return request('delete', data)
	},
	// 获取清除记录详情
	bizDisableRecordDetail(data) {
		return request('detail', data, 'get')
	}
}
